n=input()
s=len(n)
q=int(input())
for i in range(q):
    l, r = map(int, input().split())
    l-=1
    r-=1
    b=1
    for j in range(l, r):
        if ord(n[j+1]) < ord(n[j]):
            b+=1
    print(b)